only in patch2:
--- vnc_unixsrc/libvncauth/vncauth.c	Thu Apr 29 04:39:15 1999
+++ tightvnc-1.2.6_unixsrc/libvncauth/vncauth.c	Thu Aug 29 00:31:25 2002
@@ -124,9 +124,15 @@
 vncRandomBytes(unsigned char *bytes)
 {
     int i;
-    unsigned int seed = (unsigned int) time(0);
+    unsigned int seed;
+    static int s_srandom_called = 0;
+
+    if (!s_srandom_called) {
+      seed = (unsigned int)time(0) ^ (unsigned int)getpid();
+      srandom(seed);
+      s_srandom_called = 1;
+    }
 
-    srandom(seed);
     for (i = 0; i < CHALLENGESIZE; i++) {
 	bytes[i] = (unsigned char)(random() & 255);    
     }
